# Mojesouhlasy.cz

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'mojesouhlasy'
```

## Configuration

Create file in config/initializers/mojesouhlasy.rb with this content:

```ruby
Mojesouhlasy::Core.config = {
  endpoint: 'https://mojesouhlasy.cz',
  api_token: '' #get this token at Mojesouhlasy.cz
}
```

Or you can generate this config file by running ```rails g mojesouhlasy``` in console. 


## Using
```ruby
Mojesouhlasy::Users.create_user('email1@example.com']) #create single user and send registration email. Respond with user id.
Mojesouhlasy::Users.import(['email1@example.com', 'email2@example.com']) #imports users and send registration emails.
Mojesouhlasy::Users.anonymize('email@example.com') #anonymize user with email and sends email to him.
Mojesouhlasy::Users.is_anonymized('email@example.com') #check if user with this email is anonymized.
Mojesouhlasy::Users.anonymized #get all anonymized users.
Mojesouhlasy::Users.not_anonymized #get all not anonymized users.
Mojesouhlasy::Users.approved_for_purpose('purpose-id') #get all approved users for specific purpose.

Mojesouhlasy::Purposes.list #get all company's purposes.
```

